Subject: Re: cp returns status of 1
From: Wayne Willcox <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 18 Oct 2001 15:09:45 -0500

what version of windows are you using?  Win9x is particularly bad about
returning incorrect return codes.  Of course what win9x returns is a 0
not a 1 in my experience.  This is because Windows really does not use
a return code like UNIX does.  Windows returns a 0 in pretty much all 
conditions.  When I am writing code for Windows9x I never depend on 
the return code, it is usually wrong.

what are the servers NT , UNIX and Samba, AIX and cifs?

On Thu, Oct 18, 2001 at 11:57:23AM -0400, [email-masked] wrote:
> Can someone explan to me why "cp -  /cygdrive/x/file /cygdrive/y/file"  returns a status of 1?
> 
> Both drives are mapped drives and are on different servers.  Comparing bytes through Explorer indicates source and destination files are identical.  Cygwin is set up with "binmode" as the default.
> 
> Thanks!
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Slowly and surely the unix crept up on the Nintendo user ...
Wayne Willcox                          I will not eat green eggs and ham
[email-masked]                     I will not eat them Sam I Am!!
A wise person makes his own decisions, a weak one obeys public opinion.
                -- Chinese proverb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/